
/*------------------------------------------------------------------------
    File        : OrderInvoice.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : C. Longo
    Created     : 05/02/11
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */



/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */

define temp-table ttOrder like Order
  field CustName as character
  field Address1 as character 
  field Address2 as character 
  field city as character 
  field state as character 
  field PostalCode as char.
  
define temp-table ttOline like OrderLine
  field ItemName as char.

define dataset dsOrder for ttOrder, ttOline.

define input parameter pcReportID as character no-undo.
define input parameter pcDataDir as character no-undo.
define input parameter piOrderNum as integer no-undo.
define output parameter pcReportURL as character no-undo.


define variable hDataSet as handle no-undo.
define variable cXMLDataFile as character no-undo.


hDataSet = dataset dsOrder:HANDLE.

for each Order no-lock where Order.Ordernum = piOrderNum, 
  first customer of order no-lock:
  
    
    
    create ttOrder.
    buffer-copy Order to ttOrder
      assign ttOrder.CustName = Customer.Name
             ttOrder.Address1 = Customer.Address
             ttOrder.Address2 = Customer.Address2
             ttOrder.City = Customer.City
             ttOrder.state = Customer.State
             ttOrder.PostalCode = Customer.PostalCode.
             
     
    
end. /* each Order */

for each OrderLine no-lock where OrderLine.OrderNum = piOrderNum,
    first item of OrderLine no-lock:
    
    create ttOline.
    
    buffer-copy OrderLine to ttOLine
      assign ttOLine.ItemName = Item.ItemName.
      
end. /* each OrderLine */

cXMLDataFile = substitute('&1\&2.xml', pcDataDir, pcReportID).

message cXMLDataFile view-as alert-box.

hDataSet:write-xml('file',           /* Type   */
                    cXMLDataFile,    /* OutputDes */
                    true,            /* Format */
                    "",              /* Encode */
                    "",              /* SchemaLoc */
                    true,            /* Write Schema */
                    false,           /* MinSchema */
                    false).          /* WriteBI */
                     
run ABL/RenderReport.p (input pcReportID,
                        input pcDataDir, 
                        input 'OrderInvoice').


pcReportURL = substitute('http://localhost:8080/birt/frameset?__report=burt/OrderInvoice.rptdesign&&DataFileLocation=&1\&2.xml',
pcDataDir, pcReportID).


